- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MRenderLine Class Reference

# OpenMayaFX - API module for effects

Search for all occurrences

## Detailed Description

Class for accessing paint effects output curve data.

A MRenderLine provides access to paint effects curve rendering info. This class contains arrays for per vertex attributes along an individual curve: line: the vertices in worldspace twist: a twist vector at each vertice width: the tube widths flatness: the tube flatness along the twist vector direction parameter: the u parameterization value for each vertice color: color rgb value for each vertice incandescence: incandescence rgb value for each vertice transpareancy: transparency rgb value for each vertice

Examples:

  pfxInfoCmd.cpp.

`#include <MRenderLine.h>`

List of all members.

## Public Member Functions
| MRenderLine ()
| The class constructor.
| ~MRenderLine ()
| The class destructor.
MRenderLine & | operator= (const MRenderLine &other)
| Assignment operator.
MVectorArray | getLine () const
| Return the array of vertices along the curve.
MVectorArray | getTwist () const
| Return the array of twist vectors along the curve.
MDoubleArray | getWidth () const
| Return the array of tube widths along the curve.
MDoubleArray | getFlatness () const
| Return the array of flatness along the curve.
MDoubleArray | getParameter () const
| Return the array of parameter along the curve.
MVectorArray | getColor () const
| Return the array of colors along the curve.
MVectorArray | getIncandescence () const
| Return the array of incandescence along the curve.
MVectorArray | getTransparency () const
| Return the array of transparency along the curve.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Member Function Documentation

MRenderLine & operator= | ( | const MRenderLine & | other | ) |

Assignment operator.

This simply copies the internal data pointer. Any arrays access from the copy will thus point to the same data. MRenderLine is basically a handle that points to the internal render line data on an MRenderLineArray.

Parameters:

  [in] | other | the MRenderLine to be copied

Returns:
  A reference to the copied MRenderLine

MVectorArray getLine | ( |  | ) | const

Search for all occurrences

Return the array of vertices along the curve.

Returns:
  The vertex array

Examples:
  pfxInfoCmd.cpp.

MVectorArray getTwist | ( |  | ) | const

Search for all occurrences

Return the array of twist vectors along the curve.

Returns:
  The twist vector array

Examples:
  pfxInfoCmd.cpp.

MDoubleArray getWidth | ( |  | ) | const

Search for all occurrences

Return the array of tube widths along the curve.

Returns:
  The width array

Examples:
  pfxInfoCmd.cpp.

MDoubleArray getFlatness | ( |  | ) | const

Search for all occurrences

Return the array of flatness along the curve.

Returns:
  The flatness array

Examples:
  pfxInfoCmd.cpp.

MDoubleArray getParameter | ( |  | ) | const

Search for all occurrences

Return the array of parameter along the curve.

Returns:
  The parameter array

Examples:
  pfxInfoCmd.cpp.

MVectorArray getColor | ( |  | ) | const

Search for all occurrences

Return the array of colors along the curve.

Returns:
  The color array

Examples:
  pfxInfoCmd.cpp.

MVectorArray getIncandescence | ( |  | ) | const

Search for all occurrences

Return the array of incandescence along the curve.

Returns:
  The incandescence array

Examples:
  pfxInfoCmd.cpp.

MVectorArray getTransparency | ( |  | ) | const

Search for all occurrences

Return the array of transparency along the curve.

Returns:
  The transparency array

Examples:
  pfxInfoCmd.cpp.

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine
MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine MRenderLine